from employee import Employee


def test_default_raise():
    new_employee1 = Employee("Fred", "Bred", 4000)
    new_employee1.give_raise()
    assert new_employee1.salary == 9000
    print(f"{new_employee1.salary}")


def test_custom_raise():
    new_employee1 = Employee("Fred", "Bred", 4000)
    new_employee1.give_raise(10000)
    assert new_employee1.salary == 14000
    print(f"{new_employee1.salary}")

test_default_raise()
test_custom_raise()
